Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::CHMStream Class Reference

`#include <CHMStream.h>`

Inheritance diagram for libebook::CHMStream:

## Classes
struct | Impl

## Public Member Functions
| CHMStream (const RVNGInputStreamPtr_t &input)
virtual | ~CHMStream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned id)
virtual bool | existsSubStream (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | isEnd ()

## Private Member Functions
| CHMStream (const CHMStream &other)
CHMStream & | operator= (const CHMStream &other)

## Private Attributes
boost::scoped_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## § CHMStream() [1/2]

libebook::CHMStream::CHMStream | ( | const CHMStream & | other | ) |
| private

## § CHMStream() [2/2]

libebook::CHMStream::CHMStream | ( | const RVNGInputStreamPtr_t & | input | ) |
| explicit

## § ~CHMStream()

libebook::CHMStream::~CHMStream | ( |  | ) |
| virtual

## Member Function Documentation

## § existsSubStream()

bool libebook::CHMStream::existsSubStream | ( | const char * | name | ) |
| virtual

## § getSubStreamById()

librevenge::RVNGInputStream * libebook::CHMStream::getSubStreamById | ( | unsigned | id | ) |
| virtual

## § getSubStreamByName()

librevenge::RVNGInputStream * libebook::CHMStream::getSubStreamByName | ( | const char * | name | ) |
| virtual

## § isEnd()

bool libebook::CHMStream::isEnd | ( |  | ) |
| virtual

## § isStructured()

bool libebook::CHMStream::isStructured | ( |  | ) |
| virtual

## § operator=()

CHMStream& libebook::CHMStream::operator= | ( | const CHMStream & | other | ) |
| private

## § read()

const unsigned char * libebook::CHMStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| virtual

## § seek()

int libebook::CHMStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| virtual

## § subStreamCount()

unsigned libebook::CHMStream::subStreamCount | ( |  | ) |
| virtual

Referenced by getSubStreamById(), and subStreamName().

## § subStreamName()

const char * libebook::CHMStream::subStreamName | ( | unsigned | id | ) |
| virtual

## § tell()

long libebook::CHMStream::tell | ( |  | ) |
| virtual

## Member Data Documentation

## § m_impl

boost::scoped_ptr<Impl> libebook::CHMStream::m_impl
| private

Referenced by CHMStream(), existsSubStream(), getSubStreamById(), getSubStreamByName(), isEnd(), read(), seek(), subStreamCount(), subStreamName(), tell(), and ~CHMStream().

The documentation for this class was generated from the following files:

- CHMStream.h
- CHMStream.cpp